footer {
    padding: calc(var(--espacamento)*4) calc(var(--espacamento)*8);
    background-color: var(--azul-escuro);
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: calc(var(--espacamento)*18);
}

footer .informacoes {
    display: flex;
    flex-direction: column;
    gap: calc(var(--espacamento)*4);
    /* flex: 1; */
}

footer .informacoes .limite {
    display: flex;
    flex-direction: column;
    gap: calc(var(--espacamento)*3);
    width: 100%;
    max-width: calc(var(--espacamento)*84);
}

footer .informacoes .identidade {
    display: flex;
    align-items: center;
    gap: calc(var(--espacamento)*2);
}

footer .informacoes .identidade img {
   width: calc(var(--espacamento)*20);
   height: calc(var(--espacamento)*20); 
}

footer .informacoes .identidade .detalhes h1 {
    color: var(--txt-branco);
    font-size: var(--fs-lg);
    line-height: var(--lh-lg);
    letter-spacing: var(--ls-lg);
    font-weight: var(--fw-semi-bold); 
}

footer .informacoes .identidade .detalhes p {
    color: var(--txt-branco);
    font-size: var(--fs-sm);
    line-height: var(--lh-sm);
    letter-spacing: var(--ls-sm);
    font-weight: var(--fw-light); 
}

footer .informacoes .descricao p {
    color: var(--txt-branco);
    font-size: var(--fs-md);
    line-height: var(--lh-md);
    letter-spacing: var(--ls-md);
    font-weight: var(--fw-light); 
}

footer .informacoes .redes-sociais {
    display: flex;
    align-items: center;
    gap: calc(var(--espacamento)*2);
}

footer .informacoes .redes-sociais svg {
    fill: var(--txt-branco);
}

footer .informacoes .direitos p {
    color: var(--txt-branco);
    font-size: var(--fs-md);
    line-height: var(--lh-md);
    letter-spacing: var(--ls-md);
    font-weight: var(--fw-light); 
}

footer .links {
    flex: 1;
    display: flex;
    gap: calc(var(--espacamento)*14);
    min-width: calc(var(--espacamento)*172);
    flex-wrap: wrap;
}

footer .links > div {
    display: flex;
    flex-direction: column;
    gap: calc(var(--espacamento)*2);
}

footer .links > div h1 {
    text-indent: 8px;
    color: var(--amarelo);
    font-size: var(--fs-md);
    line-height: var(--lh-md);
    letter-spacing: var(--ls-md);
    font-weight: var(--fw-medium); 
}

footer .links ul {
    list-style: none;
}

footer .links ul svg {
    fill: var(--amarelo);
}

footer .links a,
footer .links a span,
footer .links li {
    text-decoration: none;
    color: var(--txt-branco);
    font-size: var(--fs-md);
    line-height: var(--lh-md);
    letter-spacing: var(--ls-md);
    font-weight: var(--fw-light); 
}

footer .links .contacto a {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: calc(var(--espacamento)*1.5);
}

footer .links a:hover,
footer .links a span:hover {
    color: var(--amarelo);
}

footer .links a, footer .links a span, footer .links li {
    padding: calc(var(--espacamento) * 1) calc(var(--espacamento) * 1);
}

footer .links .contacto a, footer .links .contacto a span, footer .links .contacto li {
    padding: 0;
}

footer .links .contacto a {
    padding: calc(var(--espacamento) * 1) calc(var(--espacamento) * 1);

}